.r95_1txblt60 {
  display: flex;
  flex-direction: column;
  position: fixed;
  padding: var(--r95-space-2);
  top: 50px;
  background-color: var(--r95-color-material);
  box-shadow: var(--r95-shadow-out);
}
.r95_1txblt61 {
  z-index: var(--r95-zIndex-modal);
}
.r95_1txblt62 {
  display: none;
}
.r95_1txblt63 {
  display: flex;
}
.r95_1txblt64 {
  display: flex;
  gap: var(--r95-space-6);
  flex-direction: row;
  padding: var(--r95-space-6);
}
.r95_1txblt64 button {
  min-width: 70px;
}
.r95_1txblt65 {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  padding: var(--r95-space-6);
  margin-block-start: var(--r95-space-4);
  margin-inline-end: var(--r95-space-1);
}
.r95_1txblt66 {
  display: flex;
  flex-direction: row;
  list-style: none;
  margin: 0;
  padding-left: 0;
  padding-top: 1px;
  padding-bottom: 1px;
  border-bottom-style: solid;
  border-width: 1px;
  border-bottom-color: var(--r95-color-borderDark);
  box-shadow: 0 1px 0 0 var(--r95-color-borderLighter);
}
.r95_1txblt67 {
  position: relative;
  padding-left: 6px;
  padding-right: 6px;
  user-select: none;
}
.r95_1txblt68 {
  background-color: var(--r95-color-material);
  color: var(--r95-color-materialTextInvert);
}
.r95_1txblt67 ul {
  position: absolute;
  left: 0;
  color: var(--r95-color-materialText);
}.r95_fyllcd0 {
  display: flex;
  padding: 0;
  margin: 0;
  border: none;
  z-index: 1;
}
.r95_fyllcd1 {
  padding: var(--r95-space-12);
  box-shadow: var(--r95-shadow-out);
  background-color: var(--r95-color-material);
}
.r95_fyllcd2 {
  list-style: none;
  user-select: none;
  padding-block: var(--r95-space-3);
  padding-inline: var(--r95-space-6);
  background-color: var(--r95-color-material);
  margin-right: var(--r95-space-2);
  margin-left: var(--r95-space-2);
  box-shadow: inset 0 1px 0 0 var(--r95-color-borderLightest),
  -2px 1px 0 -1px var(--r95-color-material),
  -3px 1px 0 -1px var(--r95-color-borderLightest),
  -2px 0 0 -1px var(--r95-color-borderLightest),
  2px 1px 0 -1px var(--r95-color-borderDark),
  2px 0 0 -1px var(--r95-color-borderDarkest),
  3px 1px 0 -1px var(--r95-color-borderDarkest);
}
.r95_fyllcd2:first-child {
  margin-left: var(--r95-space-4);
}
.r95_fyllcd3 {
  margin-top: calc(var(--r95-space-2) * -1);
  margin-left: calc(var(--r95-space-2) * -1);
  margin-bottom: var(--r95-space-1);
  &:first-child {
    margin-left: var(--r95-space-2);
  }
  box-shadow: inset 0 1px 0 0 var(--r95-color-borderLightest),
    -2px 1px 0 -1px var(--r95-color-material),
    -0.5px 3px 0 0.5px var(--r95-color-material),
    -2px 2px 0 0 var(--r95-color-borderLightest),
    -2px 0 0 -1px var(--r95-color-borderLightest),
    1px 2px 0 0 var(--r95-color-borderDark),
    2px 0 0 -1px var(--r95-color-borderDarkest),
    2px 2px 0 0 var(--r95-color-borderDarkest);
}
.r95_fyllcd3 + li {
  margin-left: 0;
  box-shadow: inset 0 1px 0 0 var(--r95-color-borderLightest),
2px 1px 0 -1px var(--r95-color-borderDark),
2px 0 0 -1px var(--r95-color-borderDarkest),
3px 1px 0 -1px var(--r95-color-borderDarkest);
}.r95_6vt7xv0 {
  width: var(--r95-space-12);
  height: var(--r95-space-12);
  display: inline-block;
  position: absolute;
  left: 0;
  top: var(--r95-space-2);
  border-left-style: solid;
  border-left-width: var(--r95-space-1);
  border-left-color: var(--r95-color-borderDark);
  border-top-style: solid;
  border-top-width: var(--r95-space-1);
  border-top-color: var(--r95-color-borderDark);
  background-color: var(--r95-color-inputBackground);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 7px 7px;
  box-shadow: var(--r95-shadow-input);
}
.r95_6vt7xv1 {
  padding: var(--r95-space-1);
  user-select: none;
}
.r95_6vt7xv2 {
  width: var(--r95-space-12);
  height: var(--r95-space-12);
  margin: 0;
  position: absolute;
  top: var(--r95-space-2);
  left: 0;
  opacity: 0;
}
.r95_6vt7xv3 {
  display: inline-block;
  height: var(--r95-space-15);
  line-height: 1.5;
  position: relative;
  margin-block: var(--r95-space-4);
  padding-left: var(--r95-space-20);
}
.r95_6vt7xv3:has(:disabled) {
  color: var(--r95-color-borderDark);
  text-shadow: 0.5px 0.5px var(--r95-color-borderLight);
}
.r95_6vt7xv2:checked + .r95_6vt7xv0 {
  background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%227%22%20height%3D%228%22%3E%3Cpath%20d%3D%22M.014%201.897L0%205.905h.998l.015%201.084h.998v1.013h.984v-.999l.999.015.014-.885h.984V5.006h.999V3.994h.998L7.003%200l-.998.014v.999L5.006.998V2.14l-.998.015v.856l-.998.014v.984H1.997l-.014-.97-.985-.014L.984%201.91l-.97-.014z%22%2F%3E%3C%2Fsvg%3E");
}
.r95_6vt7xv2:focus ~ .r95_6vt7xv1, .r95_6vt7xv2:active ~ .r95_6vt7xv1 {
  border-width: var(--r95-space-1);
  border-style: dotted;
  padding: 0;
}
.r95_6vt7xv2:checked:disabled + .r95_6vt7xv0 {
  background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%227%22%20height%3D%228%22%3E%3Cpath%20fill%3D%22gray%22%20d%3D%22M.014%201.897L0%205.905h.998l.015%201.084h.998v1.013h.984v-.999l.999.015.014-.885h.984V5.006h.999V3.994h.998L7.003%200l-.998.014v.999L5.006.998V2.14l-.998.015v.856l-.998.014v.984H1.997l-.014-.97-.985-.014L.984%201.91l-.97-.014z%22%2F%3E%3C%2Fsvg%3E");
  background-size: 7px 7px, 1.9px 1.9px;
}
.r95_6vt7xv2:disabled + .r95_6vt7xv0 {
  background-color: var(--r95-color-inputBackgroundDisabled);
}.r95_bt4hec0 {
  border-top-style: groove;
  border-top-width: var(--r95-space-2);
  border-top-color: var(--r95-color-borderLighter);
  border-left-style: groove;
  border-left-width: var(--r95-space-2);
  border-left-color: var(--r95-color-borderLighter);
  border-bottom-style: solid;
  border-bottom-width: var(--r95-space-1);
  border-bottom-color: var(--r95-color-borderDark);
  border-right-style: solid;
  border-right-width: var(--r95-space-1);
  border-right-color: var(--r95-color-borderDark);
  box-shadow: 1px 1px 0 0 var(--r95-color-borderLighter);
}
.r95_bt4hec1 {
  padding-left: var(--r95-space-4);
  padding-right: var(--r95-space-1);
}.r95_taf7or0 {
  outline: none;
  border: none;
  padding-top: var(--r95-space-3);
  padding-right: var(--r95-space-3);
  padding-bottom: var(--r95-space-5);
  padding-left: var(--r95-space-3);
  color: var(--r95-color-materialText);
  background-color: var(--r95-color-inputBackground);
  border-radius: 0;
  border-top-width: var(--r95-space-1);
  border-top-style: solid;
  border-top-color: var(--r95-color-borderDark);
  border-right-width: 0;
  border-bottom-width: 0;
  border-left-width: var(--r95-space-1);
  border-left-style: solid;
  border-left-color: var(--r95-color-borderDark);
  box-shadow: var(--r95-shadow-input);
  -webkit-appearance: none;
}.r95_1lxkvz40 {
  position: relative;
  display: flex;
  align-items: center;
  user-select: none;
  margin: var(--r95-space-0);
  padding-block: var(--r95-space-2);
  padding-inline: var(--r95-space-6);
  color: var(--r95-color-materialText);
}
.r95_1lxkvz40:hover {
  background: var(--r95-color-headerBackground);
  color: var(--r95-color-materialTextInvert);
}
.r95_1lxkvz40:not(:has(svg)) {
  padding-inline-start: 26px;
}
.r95_1lxkvz40:has(ul):after {
  content: '';
  position: absolute;
  width: var(--r95-space-5);
  height: var(--r95-space-8);
  right: var(--r95-space-8);
  background-color: var(--r95-color-materialText);
  mask-image: url('data:image/svg+xml,%3csvg%20width='10'%20height='18'%20xmlns='http://www.w3.org/2000/svg'%3e%3cpath%20d='M.004%2018.007l3.016-.013.01-3.01%202.186.01v-2.025l2.816-.01-.009-2.94H10v-2c.01-.01-1.99-.036-2-.026.01-.01.035-3.01.026-3%20.01-.01-2.845-.011-2.855-.001v-2L3%202.99c.01-.01.035-3.011.025-3.001.01-.01-3.04.013-3.025.023l.004%2017.994z'%20fill-opacity='null'/%3e%3c/svg%3e');
  mask-position: center center;
  mask-size: var(--r95-space-5) var(--r95-space-8);
  mask-repeat: no-repeat;
}
.r95_1lxkvz40:has(ul):hover:after {
  background-color: var(--r95-color-materialTextInvert);
}
.r95_1lxkvz40 svg {
  margin-right: var(--r95-space-10);
  min-width: var(--r95-space-16);
}
.r95_1lxkvz40 ul {
  display: none;
  position: absolute;
  top: calc(var(--r95-space-2) * -1);
  left: 97%;
  color: var(--r95-color-materialText);
  z-index: var(--r95-zIndex-taskbar);
}
.r95_1lxkvz40:has(ul):hover > ul {
  display: block;
}
.r95_1lxkvz41 {
  height: var(--r95-space-1);
  border-top-style: solid;
  border-top-width: var(--r95-space-1);
  border-top-color: var(--r95-color-borderDark);
  border-bottom-width: var(--r95-space-1);
  border-bottom-style: solid;
  border-bottom-color: var(--r95-color-borderLightest);
  width: 98%;
  margin-left: var(--r95-space-2);
}
.r95_1lxkvz42 {
  background-color: var(--r95-color-material);
  padding: var(--r95-space-2);
  border: none;
  margin: 0;
  list-style: none;
  box-shadow: var(--r95-shadow-out);
}.r95_1drc6y70 {
  height: var(--r95-space-20);
  position: relative;
  text-align: center;
}
.r95_1drc6y71 {
  height: var(--r95-space-20);
  line-height: var(--r95-space-20);
  border-left: var(--r95-space-1);
  border-left-style: solid;
  border-left-color: var(--r95-color-borderDark);
  border-top: var(--r95-space-1);
  border-top-style: solid;
  border-top-color: var(--r95-color-borderDark);
  background-color: var(--r95-color-inputBackground);
  color: var(--r95-color-materialText);
  box-shadow: var(--r95-shadow-input);
}
.r95_1drc6y72 {
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
}
.r95_1drc6y73 {
  height: var(--r95-space-17);
  line-height: var(--r95-space-18);
  margin-left: var(--r95-space-2);
  margin-top: var(--r95-space-2);
  background-color: var(--r95-color-progress);
  color: var(--r95-color-materialTextInvert);
}.r95_f5whxn0 {
  background: radial-gradient(#ff0 20%, transparent 20%) 0 0,
radial-gradient(#ff0 20%, transparent 20%) 4px 4px,
radial-gradient(rgba(255, 255, 255, 0.1) 20%, transparent 25%) 0 1px,
radial-gradient(rgba(255, 255, 255, 0.1) 20%, transparent 25%) 3px 4px;
  background-size: var(--r95-space-7) var(--r95-space-7);
  background-color: var(--r95-color-borderLightest);
  border-width: var(--r95-space-1);
  border-style: solid;
  padding-top: var(--r95-space-2);
  padding-right: var(--r95-space-2);
  padding-bottom: var(--r95-space-2);
  padding-left: var(--r95-space-4);
  box-shadow: none;
  position: absolute;
  top: calc(var(--r95-space-20) * -1);
  text-align: center;
  z-index: var(--r95-zIndex-taskbar);
}
.r95_f5whxn1 {
  display: inline-block;
  position: relative;
  cursor: default;
  white-space: nowrap;
}.r95_1ct83mo0 {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  text-align: left;
}
.r95_1ct83mo1 div:first-child {
  right: 0;
}
.r95_1ct83mo2 {
  display: inline-flex;
  justify-content: flex-start;
  align-items: center;
  background-color: var(--r95-color-material);
  padding-block: var(--r95-space-2);
  padding-inline: var(--r95-space-3);
  margin-right: var(--r95-space-2);
  max-width: 150px;
  border: none;
  outline: none;
  color: var(--r95-color-materialText);
}
.r95_1ct83mo3 {
  padding-inline: var(--r95-space-5);
}
.r95_1ct83mo4 {
  width: 100%;
}
.r95_1ct83mo5 {
  box-shadow: var(--r95-shadow-in);
}
.r95_1ct83mo6 {
  box-shadow: var(--r95-shadow-out);
}
.r95_1ct83mo7 {
  padding-top: var(--r95-space-4);
  padding-bottom: var(--r95-space-0);
  outline: var(--r95-space-1) dotted var(--r95-color-borderDarkest);
  outline-offset: calc(var(--r95-space-4) * -1);
}
.r95_1ct83mo8 {
  background-color: var(--r95-color-borderLighter);
}
.r95_1ct83mo9 svg {
  margin-top: var(--r95-space-4);
  margin-right: var(--r95-space-4);
  min-width: var(--r95-space-2);
  width: var(--r95-space-20);
  height: var(--r95-space-20);
  shape-rendering: auto;
}